com.jscape.inet.imap

## Class ImapAdapter

- java.lang.Object
- - com.jscape.inet.imap.ImapAdapter

- All Implemented Interfaces:
    ImapListener, java.util.EventListener

      public class ImapAdapter
      extends java.lang.Object
      implements ImapListener

  Implements methods for capturing events sourced from Imap class. This class is intended to provide vertical compatibility with ImapListener interface. Typicaly your application will use this class instead of PopListener interface to capture the following events :
  ImapConnectedEvent
  ImapDisconnectedEvent
  ImapCommandEvent
  ImapResponseEvent
  ImapMessageEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImapAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commandSent(ImapCommandEvent event)` Invoked when command is sent to the IMAP server
    `void` | `connected(ImapConnectedEvent event)` Invoked when connection to IMAP server is established.
    `void` | `disconnected(ImapDisconnectedEvent event)` Invoked when connection to IMAP server is released.
    `void` | `messageRetrieved(ImapMessageEvent event)` Invoked when message is retrieved from IMAP server.
    `void` | `progress(ImapMessageProgressEvent event)` Invoked frequently during the download process of a message from IMAP server
    `void` | `responseReceived(ImapResponseEvent event)` Invoked when a response is received from IMAP server

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImapAdapter

          public ImapAdapter()

  - ### Method Detail

    - #### commandSent

          public void commandSent(ImapCommandEvent event)

      Invoked when command is sent to the IMAP server
      Specified by:
        `commandSent` in interface `ImapListener`
      Parameters:
        `event` - a `ImapCommandEvent`
      See Also:
        `ImapCommandEvent`

    - #### connected

          public void connected(ImapConnectedEvent event)

      Invoked when connection to IMAP server is established.
      Specified by:
        `connected` in interface `ImapListener`
      Parameters:
        `event` - a `ImapConnectedEvent`
      See Also:
        `ImapConnectedEvent`

    - #### disconnected

          public void disconnected(ImapDisconnectedEvent event)

      Invoked when connection to IMAP server is released.
      Specified by:
        `disconnected` in interface `ImapListener`
      Parameters:
        `event` - a `ImapDisconnectedEvent`
      See Also:
        `ImapDisconnectedEvent`

    - #### messageRetrieved

          public void messageRetrieved(ImapMessageEvent event)

      Invoked when message is retrieved from IMAP server.
      Specified by:
        `messageRetrieved` in interface `ImapListener`
      Parameters:
        `event` - a `ImapMessageEvent`
      See Also:
        `ImapMessageEvent`

    - #### progress

          public void progress(ImapMessageProgressEvent event)

      Invoked frequently during the download process of a message from IMAP server
      Specified by:
        `progress` in interface `ImapListener`
      Parameters:
        `event` - a `ImapMessageProgressEvent`
      See Also:
        `ImapMessageProgressEvent`

    - #### responseReceived

          public void responseReceived(ImapResponseEvent event)

      Invoked when a response is received from IMAP server
      Specified by:
        `responseReceived` in interface `ImapListener`
      Parameters:
        `event` - a `ImapResponseEvent`
      See Also:
        `ImapResponseEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved